# Insert Profit Center Endpoint: POST /enrichment/profit-centers Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External id of the profit center that is globally unique across the provided profit center data Example: "0000100CO1" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `code` (string, required) Code of the profit center in the source system (not unique across clients) Example: "CO1" - `companyAssignment` (array) List of externalCompanyIds that the profit center is assigned to Example: ["DE01","US01"] - `department` (string) Department/functional area associated with the profit center as defined in the source system Example: "finance" - `label` (array) Label describing the profit center Example: [{"text":"Sales Engineers","language":"en"}] - `label.text` (string) Text content Example: "Fish & Chips" - `label.language` (string,null) Two letter language code as defined in ISO 639-1 Enum: "aa", "ab", "ae", "af", "ak", "am", "an", "ar", "as", "av", "ay", "az", "ba", "be", "bg", "bh", "bi", "bm", "bn", "bo", "br", "bs", "ca", "ce", "ch", "co", "cr", "cs", "cu", "cv", "cy", "da", "de", "dv", "dz", "ee", "el", "en", "eo", "es", "et", "eu", "fa", "ff", "fi", "fj", "fo", "fr", "fy", "ga", "gd", "gl", "gn", "gu", "gv", "ha", "he", "hi", "ho", "hr", "ht", "hu", "hy", "hz", "ia", "id", "ie", "ig", "ii", "ik", "io", "is", "it", "iu", "ja", "jv", "ka", "kg", "ki", "kj", "kk", "kl", "km", "kn", "ko", "kr", "ks", "ku", "kv", "kw", "ky", "la", "lb", "lg", "li", "ln", "lo", "lt", "lu", "lv", "mg", "mh", "mi", "mk", "ml", "mn", "mr", "ms", "mt", "my", "na", "nb", "nd", "ne", "ng", "nl", "nn", "no", "nr", "nv", "ny", "oc", "oj", "om", "or", "os", "pa", "pi", "pl", "ps", "pt", "qu", "rm", "rn", "ro", "ru", "rw", "sa", "sc", "sd", "se", "sg", "si", "sk", "sl", "sm", "sn", "so", "sq", "sr", "ss", "st", "su", "sv", "sw", "ta", "te", "tg", "th", "ti", "tk", "tl", "tn", "to", "tr", "ts", "tt", "tw", "ty", "ug", "uk", "ur", "uz", "ve", "vi", "vo", "wa", "wo", "xh", "yi", "yo", "za", "zh", "zu", null - `shortLabel` (array) Short label describing the profit center Example: [{"text":"Sales Eng.","language":"en"}] - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields